### Method

# Camel StoreSearchIndex move_from_existing

since: 3.58

#### Declaration [src]

    void
    camel_store_search_index_move_from_existing (
      CamelStoreSearchIndex* self,
      CamelStoreSearchIndex* src
    )

#### Description [src]

Moves all items from the `src` index into the `self`. The `self` and the `src` can be the same, in which case the function does nothing. At the end of the function the `src` will contain no items, but it is not freed.

Available since: 3.58

#### Parameters

`src`

  Type: `CamelStoreSearchIndex`

  A `CamelStoreSearchIndex`, to move items from.

  The data is owned by the caller of the method.